org.modeshape.jcr.spi.index.provider

## Class IndexChangeAdapter

- java.lang.Object
- - org.modeshape.jcr.cache.change.ChangeSetAdapter
  - - org.modeshape.jcr.spi.index.provider.IndexChangeAdapter

- All Implemented Interfaces:
    ChangeSetListener
  Direct Known Subclasses:
    IndexChangeAdapters.AbstractPropertyChangeAdapter, IndexChangeAdapters.PathBasedChangeAdapter

      public class IndexChangeAdapter
      extends ChangeSetAdapter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.modeshape.jcr.cache.change.ChangeSetAdapter

      `ChangeSetAdapter.NodeTypePredicate`

  - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.cache.change.ChangeSetAdapter

      `context, predicate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexChangeAdapter(ExecutionContext context, String workspaceName, ChangeSetAdapter.NodeTypePredicate predicate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `includesWorkspace(String workspaceName)` Determine whether changes in the named workspace should be processed.
    `protected void` | `index(String workspaceName, NodeKey key, Path path, Name primaryType, Set<Name> mixinTypes, CachedNode.Properties properties, boolean queryable)` Index the specific node.

    - ### Methods inherited from class org.modeshape.jcr.cache.change.ChangeSetAdapter

      `addNode, addWorkspace, beginChanges, beginWorkspaceChanges, binaryValueUnused, changeNode, completeChanges, completeWorkspaceChanges, modifyProperties, moveNode, notify, reindexNode, removeNode, removeWorkspace, renameNode, reorderNode, repositoryMetadataChanged, sequenced, sequenceFailure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexChangeAdapter

          public IndexChangeAdapter(ExecutionContext context,
                            String workspaceName,
                            ChangeSetAdapter.NodeTypePredicate predicate)

  - ### Method Detail

    - #### includesWorkspace

          protected boolean includesWorkspace(String workspaceName)

      Description copied from class: `ChangeSetAdapter`
      Determine whether changes in the named workspace should be processed. By default this method returns `true`, which means changes to content in all workspaces are handled by this adapter.
      Overrides:
        `includesWorkspace` in class `ChangeSetAdapter`
      Parameters:
        `workspaceName` - the workspace that has changes in content
      Returns:
        true if the changes should be processed, or false otherwise

    - #### index

          protected final void index(String workspaceName,
                   NodeKey key,
                   Path path,
                   Name primaryType,
                   Set<Name> mixinTypes,
                   CachedNode.Properties properties,
                   boolean queryable)

      Index the specific node. This is called only by the reindexing operations.
      Parameters:
        `workspaceName` - the workspace in which the node information should be available; may not be null
        `key` - the unique key for the node; may not be null
        `path` - the path of the node; may not be null
        `primaryType` - the primary type of the node; may not be null
        `mixinTypes` - the mixin types for the node; may not be null but may be empty
        `properties` - the properties of the node; may not be null but may be empty
        `queryable` - true if the node is queryable, false otherwise

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.